Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363773 - libvirtd crashed when use virt-install to create a lxc container
Summary: libvirtd crashed when use virt-install to create a lxc container
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.3
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Michal Privoznik
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 14:05 UTC by yisun
Modified: 2016-11-03 18:51 UTC (History)
7 users (show)

Fixed In Version: libvirt-2.0.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 18:51:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2577 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2016-11-03 12:07:06 UTC

Description yisun 2016-08-03 14:05:15 UTC
Description:
libvirtd crashed when use virt-install to create a lxc container

versions:
kernel-3.10.0-461.el7.x86_64
virt-install-1.4.0-1.el7.noarch
libvirt-2.0.0-4.el7.x86_64

How reproduced:
100%

Steps:
(Some machines cannot reproduce this issue, and when I uninstall&reinstall libvirt and reboot host, it reproduced.)

terminal one:
	# gdb -p `pidof libvirtd`

terminal two:
	#virt-install --connect lxc:/// --name avocado-vt-vm3 --ram 500 --noautoconsole
	WARNING  No operating system detected, VM performance may suffer. Specify an OS with --os-variant for optimal results.

	Starting install...
	ERROR    End of file while reading data: Input/output error
	Domain installation does not appear to have been successful.
	If it was, you can restart your domain by running:
	  virsh --connect lxc:/// start avocado-vt-vm3
	otherwise, please restart your installation.



terminal one: libvirtd crashed with following backtrace
=======================
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f10f56b0700 (LWP 36302)]
virLXCDomainObjEndJob (driver=0x7f10a41f1fa0, obj=0x0) at lxc/lxc_domain.c:141
141	    virLXCDomainObjPrivatePtr priv = obj->privateData;
(gdb) t a a bt

Thread 16 (Thread 0x7f10f56b0700 (LWP 36302)):
#0  virLXCDomainObjEndJob (driver=0x7f10a41f1fa0, obj=0x0) at lxc/lxc_domain.c:141
#1  0x00007f10bfa2c7fe in lxcDomainCreateXMLWithFiles (conn=0x7f10d0000c50, xml=<optimized out>, nfiles=0, files=0x0, flags=<optimized out>)
    at lxc/lxc_driver.c:1285
#2  0x00007f110476d7b1 in virDomainCreateXML (conn=0x7f10d0000c50, 
    xmlDesc=0x7f10ec000eb0 "<domain type=\"lxc\">\n  <name>avocado-vt-vm3</name>\n  <uuid>04085f9a-d6e1-4955-93ba-f719a4c00f5e</uuid>\n  <memory>512000</memory>\n  <currentMemory>512000</currentMemory>\n  <vcpu>1</vcpu>\n  <os>\n    <typ"..., flags=0) at libvirt-domain.c:180
#3  0x00007f11053eadfa in remoteDispatchDomainCreateXML (server=0x7f110690aed0, msg=0x7f1106924d20, ret=0x7f10ec000940, args=0x7f10ec000a20, 
    rerr=0x7f10f56afc50, client=0x7f1106925e10) at remote_dispatch.h:4257
#4  remoteDispatchDomainCreateXMLHelper (server=0x7f110690aed0, client=0x7f1106925e10, msg=0x7f1106924d20, rerr=0x7f10f56afc50, args=0x7f10ec000a20, 
    ret=0x7f10ec000940) at remote_dispatch.h:4235
#5  0x00007f11047ec932 in virNetServerProgramDispatchCall (msg=0x7f1106924d20, client=0x7f1106925e10, server=0x7f110690aed0, prog=0x7f1106920040)
    at rpc/virnetserverprogram.c:437
#6  virNetServerProgramDispatch (prog=0x7f1106920040, server=server@entry=0x7f110690aed0, client=0x7f1106925e10, msg=0x7f1106924d20)
    at rpc/virnetserverprogram.c:307
#7  0x00007f11053fbc2d in virNetServerProcessMsg (msg=<optimized out>, prog=<optimized out>, client=<optimized out>, srv=0x7f110690aed0)
    at rpc/virnetserver.c:148
#8  virNetServerHandleJob (jobOpaque=<optimized out>, opaque=0x7f110690aed0) at rpc/virnetserver.c:169
#9  0x00007f11046da981 in virThreadPoolWorker (opaque=opaque@entry=0x7f110690aa10) at util/virthreadpool.c:167
#10 0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#11 0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#12 0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f10f4eaf700 (LWP 36303)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b158, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f110690ac00) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f10f46ae700 (LWP 36304)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b158, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f11068ffe80) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f10ebead700 (LWP 36305)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b158, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f11068ffdb0) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f10f3ead700 (LWP 36306)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b158, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f11068ffe80) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f10f36ac700 (LWP 36307)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b1f8, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046da9cb in virThreadPoolWorker (opaque=opaque@entry=0x7f110690aa10) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f10f2eab700 (LWP 36308)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b1f8, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046da9cb in virThreadPoolWorker (opaque=opaque@entry=0x7f11068ffdb0) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f10f26aa700 (LWP 36309)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b1f8, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046da9cb in virThreadPoolWorker (opaque=opaque@entry=0x7f11068ffe80) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f10f1ea9700 (LWP 36310)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b1f8, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046da9cb in virThreadPoolWorker (opaque=opaque@entry=0x7f110690aa10) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f10f16a8700 (LWP 36311)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f110690b1f8, m=m@entry=0x7f110690b130) at util/virthread.c:154
#2  0x00007f11046da9cb in virThreadPoolWorker (opaque=opaque@entry=0x7f11068ffe80) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f10bf7c6700 (LWP 36312)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f1106920738, m=m@entry=0x7f1106920710) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f1106920440) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f10befc5700 (LWP 36313)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f1106920738, m=m@entry=0x7f1106920710) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f1106920360) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6


Thread 4 (Thread 0x7f10be7c4700 (LWP 36314)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f1106920738, m=m@entry=0x7f1106920710) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f11069203d0) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f10b5fc3700 (LWP 36315)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f1106920738, m=m@entry=0x7f1106920710) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f11069202c0) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f10bdfc3700 (LWP 36316)):
#0  0x00007f1101d026d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f11046d9f76 in virCondWait (c=c@entry=0x7f1106920738, m=m@entry=0x7f1106920710) at util/virthread.c:154
#2  0x00007f11046daa33 in virThreadPoolWorker (opaque=opaque@entry=0x7f11069203d0) at util/virthreadpool.c:124
#3  0x00007f11046d9d08 in virThreadHelper (data=<optimized out>) at util/virthread.c:206
#4  0x00007f1101cfedc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f1101a2d73d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f1105361880 (LWP 36301)):
#0  0x00007f1101a22dfd in poll () from /lib64/libc.so.6
#1  0x00007f110468dab6 in poll (__timeout=-1, __nfds=13, __fds=<optimized out>) at /usr/include/bits/poll2.h:46
#2  virEventPollRunOnce () at util/vireventpoll.c:641
#3  0x00007f110468c592 in virEventRunDefaultImpl () at util/virevent.c:314
#4  0x00007f11047e69fd in virNetDaemonRun (dmn=0x7f110690cd10) at rpc/virnetdaemon.c:818
#5  0x00007f11053c1ae1 in main (argc=<optimized out>, argv=<optimized out>) at libvirtd.c:1617
=====================================




Actual result:
libvirtd crashed



Expected result:
should not crashed





Additional info:
ON ABOVE HOST, when "setenforce 0", virt-install can be successful. 
BUT ON ANOTHER HOST, no matter setenforce 0/1, virt-install will crash libvirtd.

ANOTHER HOST: 
-kernel-3.10.0-382.el7.x86_64
-virt-install-1.4.0-1.el7.noarch
-libvirt-2.0.0-4.el7.x86_64

And backtrace on ANOTHER HOST as following:
========================================
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffaa5d52700 (LWP 6082)]
0x00007ffa9de87cd5 in virLXCDomainObjEndJob () from /usr/lib64/libvirt/connection-driver/libvirt_driver_lxc.so
(gdb) t a a bt

Thread 16 (Thread 0x7ffaa7d56700 (LWP 6078)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7ffaa7555700 (LWP 6079)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7ffaa6d54700 (LWP 6080)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7ffaa6553700 (LWP 6081)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7ffaa5d52700 (LWP 6082)):
#0  0x00007ffa9de87cd5 in virLXCDomainObjEndJob () from /usr/lib64/libvirt/connection-driver/libvirt_driver_lxc.so
#1  0x00007ffa9de967fe in lxcDomainCreateXMLWithFiles () from /usr/lib64/libvirt/connection-driver/libvirt_driver_lxc.so
#2  0x00007ffab6d7e7b1 in virDomainCreateXML () from /lib64/libvirt.so.0
#3  0x00007ffab79fddfa in remoteDispatchDomainCreateXMLHelper ()
#4  0x00007ffab6dfd932 in virNetServerProgramDispatch () from /lib64/libvirt.so.0
#5  0x00007ffab7a0ec2d in virNetServerHandleJob ()
#6  0x00007ffab6ceb981 in virThreadPoolWorker () from /lib64/libvirt.so.0
#7  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#8  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#9  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7ffaa5551700 (LWP 6083)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceb9cb in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7ffaa4d50700 (LWP 6084)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceb9cb in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7ffaa454f700 (LWP 6085)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceb9cb in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7ffaa3d4e700 (LWP 6086)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceb9cb in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7ffaa354d700 (LWP 6087)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceb9cb in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7ffa9dc31700 (LWP 6088)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7ffa9d430700 (LWP 6089)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7ffa9cc2f700 (LWP 6090)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7ffa9c42e700 (LWP 6091)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7ffa9bc2d700 (LWP 6092)):
#0  0x00007ffab43486d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ffab6ceaf76 in virCondWait () from /lib64/libvirt.so.0
#2  0x00007ffab6ceba33 in virThreadPoolWorker () from /lib64/libvirt.so.0
#3  0x00007ffab6cead08 in virThreadHelper () from /lib64/libvirt.so.0
#4  0x00007ffab4344dc5 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffab4071e2d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ffab796d880 (LWP 6077)):
#0  0x00007ffab40677ad in poll () from /lib64/libc.so.6
#1  0x00007ffab6c9eab6 in virEventPollRunOnce () from /lib64/libvirt.so.0
#2  0x00007ffab6c9d592 in virEventRunDefaultImpl () from /lib64/libvirt.so.0
#3  0x00007ffab6df79fd in virNetDaemonRun () from /lib64/libvirt.so.0
#4  0x00007ffab79d4ae1 in main ()
========================================

Comment 1 Peter Krempa 2016-08-04 07:22:07 UTC
Caused by commit:
commit c066f9eed3ce6f43bfc79b3e789b2ff98bfe05e5
Author:     Katerina Koukiou <k.koukiou@googlemail.com>
AuthorDate: Tue May 17 00:36:48 2016 +0300
Commit:     Michal Privoznik <mprivozn@redhat.com>
CommitDate: Thu May 19 18:42:08 2016 +0200

    lxc: use job functions in lxcDomain{CreateXMLWithFiles, CreateWithFiles}
    
    Creating a large domain could potentially be time consuming.  Use the
    recently added job functions and unlock the virDomainObj while
    the create operation is in progress.
    
    Signed-off-by: Katerina Koukiou <k.koukiou@gmail.com>

virLXCDomainObjEndJob unconditionally dereferences the VM object and lxcDomainCreateXMLWithFiles has a code path that sets the vm object to NULL and then jumps to the 'endjob' label.

Comment 2 Michal Privoznik 2016-08-04 08:53:04 UTC

*** This bug has been marked as a duplicate of bug 1351057 ***

Comment 3 yisun 2016-08-04 10:43:27 UTC
(In reply to Michal Privoznik from comment #2)
> 
> *** This bug has been marked as a duplicate of bug 1351057 ***

Hi Michal, 
bug 1351057 is on_qa and fixed in version libvirt-2.0.0-4.el7, but libvirtd still crashed with virt-install.
And that's why I open this bug. Pls help to confirm if it's should be set to "duplicate"

Comment 4 yisun 2016-08-04 10:48:12 UTC
(In reply to yisun from comment #3)
> (In reply to Michal Privoznik from comment #2)
> > 
> > *** This bug has been marked as a duplicate of bug 1351057 ***
> 
> Hi Michal, 
> bug 1351057 is on_qa and fixed in version libvirt-2.0.0-4.el7, but libvirtd
> still crashed with virt-install.
> And that's why I open this bug. Pls help to confirm if it's should be set to
> "duplicate"

mark as need info

Comment 5 Michal Privoznik 2016-08-04 14:51:27 UTC
(In reply to yisun from comment #4)
> (In reply to yisun from comment #3)
> > (In reply to Michal Privoznik from comment #2)
> > > 
> > > *** This bug has been marked as a duplicate of bug 1351057 ***
> > 
> > Hi Michal, 
> > bug 1351057 is on_qa and fixed in version libvirt-2.0.0-4.el7, but libvirtd
> > still crashed with virt-install.
> > And that's why I open this bug. Pls help to confirm if it's should be set to
> > "duplicate"
> 
> mark as need info


Ah, you're right. This is not a duplicate, sorry.

Patch proposed here:

https://www.redhat.com/archives/libvir-list/2016-August/msg00256.html

Comment 8 yisun 2016-08-12 07:19:48 UTC
Verified on libvirt-2.0.0-5.el7
Crash not happened again, but virt-install still failed with selinux issue. So close this bug and open a new bug 1366485

steps:
1. virt-install a lxc container failed when setenforce 1
# setenforce 1
# virt-install --connect lxc:/// --name avocado-vt-vm1 --ram 500 --noautoconsole
WARNING  No operating system detected, VM performance may suffer. Specify an OS with --os-variant for optimal results.

Starting install...
ERROR    internal error: guest failed to start: Failure in libvirt_lxc startup: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect lxc:/// start avocado-vt-vm1
otherwise, please restart your installation.

2. virt-install a lxc container succeeded when setenforce 0
# setenforce 0
# virt-install --connect lxc:/// --name avocado-vt-vm1 --ram 500 --noautoconsole
WARNING  No operating system detected, VM performance may suffer. Specify an OS with --os-variant for optimal results.

Starting install...
Creating domain...                                                                                                             |    0 B  00:00:00    
Domain creation completed.


During above steps, no crash happened.

Comment 10 errata-xmlrpc 2016-11-03 18:51:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2577.html


Note You need to log in before you can comment on or make changes to this bug.